Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations IDS on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Assign Face Name (in Face Properties) to all the faces from a Face Group or Feature in NX11

Status
Not open for further replies.

rsuar

Aerospace
Nov 30, 2018
1
Hi there!

As part of my workflow, I assign face names in NX11 to reduce my workload later on during meshing, FEM, and postprocessing.

However, setting face names in NX (as in face -> property -> name) is quite cumbersome due to:
a) having to select each face by click / lasso / long workarounds with colours
b) face names getting lost when geometry changes are introduced.

Group Face (Synchronous Modeling) retains faces from related features very well after geometry changes. Therefore, I was wondering if it is possible to assign face names from the Group Face Properties, from a Feature, or similar.

I have made some trials using NXOpen and journals as a workaround, and it seems possible to select all faces in a Group Face and assign them a face name. However, before going down this road, I'd rather know from you guys if there is an easier way to do this. Let me know your thoughts!

Code:
import math
import NXOpen
import NXOpen.Features
def main() : 
    theSession  = NXOpen.Session.GetSession()
    workPart = theSession.Parts.Work
    displayPart = theSession.Parts.Display

    markId1 = theSession.SetUndoMark(NXOpen.Session.MarkVisibility.Visible, "Start")
    
    objects1 = [NXOpen.NXObject.Null] * 1 
    groupFace1 = workPart.Features.FindObject("PUT HERE FACE GROUP NAME")
    
    facessel = groupFace1.GetFaces()
    objectGeneralPropertiesBuilder1 = workPart.PropertiesManager.CreateObjectGeneralPropertiesBuilder(facessel)    
    objectGeneralPropertiesBuilder1.Name = "TRIAL"
    objectGeneralPropertiesBuilder1.Commit()
	
if __name__ == '__main__':
    main()
 
Replies continue below

Recommended for you

First pick all the faces with a rectangle and then go into properties to assign a name and they all will get the same name.
It helps if your selection filter is set to FACE.

When you add geometry, and therefore add faces to the part & change its topology, there is no way to control how NX renames each individual face.



Jerry J.
UGV5-NX1884
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor